Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class AppointmentType

    java.lang.Object
      com.compoze.domino.AppointmentType

All Implemented Interfaces:
  java.io.Serializable

public class AppointmentType
extends java.lang.Object
implements java.io.Serializable

This class implements an appointment type.

See Also:
  `Appointment.getAppointmentType()`, Serialized Form

Field Summary
`static AppointmentType` | `ALL_DAY_EVENT` This value represents the 'All Day Event' type.
`static AppointmentType` | `ANNIVERSARY` This value represents the 'Anniversary' type.
`static AppointmentType` | `APPOINTMENT` This value represents the 'Appointment' type.
`static AppointmentType` | `MEETING` This value represents the 'Meeting' type.
`static AppointmentType` | `REMINDER` This value represents the 'Reminder' type.
`static int` | `VALUE_ALL_DAY_EVENT` This is the value of the type 'all day event'.
`static int` | `VALUE_ANNIVERSARY` This is the value of the type 'anniversary'.
`static int` | `VALUE_APPOINTMENT` This is the value of the type 'appointment'.
`static int` | `VALUE_MEETING` This is the value of the type 'meeting'.
`static int` | `VALUE_REMINDER` This is the value of the type 'reminder'.

Method Summary
`boolean` | `equals(java.lang.Object o)` Indicates whether some other `AppointmentType` object is "equal to" this one.
`static AppointmentType` | `get(int iValue)` Gets the appointment type by value.
`static java.util.List` | `getList()` Gets the list of appointment types.
`java.lang.String` | `getName()` Gets the name of the appointment type using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the appointment type using the specified locale.
`int` | `getStoreValue()` Gets the store value used to store the importance in the storage system.
`java.lang.Object` | `getStoreValueObject()` Gets the store value as an object.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALUE_APPOINTMENT

    public static final int VALUE_APPOINTMENT

  This is the value of the type 'appointment'.

  See Also:
    Constant Field Values

### VALUE_ANNIVERSARY

    public static final int VALUE_ANNIVERSARY

  This is the value of the type 'anniversary'.

  See Also:
    Constant Field Values

### VALUE_ALL_DAY_EVENT

    public static final int VALUE_ALL_DAY_EVENT

  This is the value of the type 'all day event'.

  See Also:
    Constant Field Values

### VALUE_MEETING

    public static final int VALUE_MEETING

  This is the value of the type 'meeting'.

  See Also:
    Constant Field Values

### VALUE_REMINDER

    public static final int VALUE_REMINDER

  This is the value of the type 'reminder'.

  See Also:
    Constant Field Values

### APPOINTMENT

    public static final AppointmentType APPOINTMENT

  This value represents the 'Appointment' type.

### ANNIVERSARY

    public static final AppointmentType ANNIVERSARY

  This value represents the 'Anniversary' type.

### ALL_DAY_EVENT

    public static final AppointmentType ALL_DAY_EVENT

  This value represents the 'All Day Event' type.

### MEETING

    public static final AppointmentType MEETING

  This value represents the 'Meeting' type.

### REMINDER

    public static final AppointmentType REMINDER

  This value represents the 'Reminder' type.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the appointment type using the system default locale.

  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the appointment type using the specified locale.

  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the store value used to store the importance in the storage system.

  Returns:
    the store value

### getStoreValueObject

    public java.lang.Object getStoreValueObject()

  Gets the store value as an object.

  Returns:
    the store value

### get

    public static AppointmentType get(int iValue)

  Gets the appointment type by value.

  Parameters:
    `iValue` - the value of the type
  Returns:
    the matching type or `null` if not found

### equals

    public boolean equals(java.lang.Object o)

  Indicates whether some other `AppointmentType` object is "equal to" this one.

  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise

### getList

    public static java.util.List getList()

  Gets the list of appointment types.

  Returns:
    the list of `AppointmentType` objects (unmodifiable)

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.